﻿//
// Select Next Keyframe on Any Layer.jsfl
// 
// This command will select the next keyframe on any layer.
//
// By Todd Slaughter
// Copyright 2012, All rights reserved
//

// initialization ---------------------------------------------------------------------------------------------

// store the document object and the timeline
var theDocument = flash.getDocumentDOM();
var theTimeline = theDocument.getTimeline();

// main code --------------------------------------------------------------------------------------------------

var c = theTimeline.currentFrame;
var n = theTimeline.frameCount;
var f = 0;

// loop through the layers looking for the next keyframe
for (var l=1; l<theTimeline.layerCount; l++) {
	f = theTimeline.layers[l].frames[c].startFrame + theTimeline.layers[l].frames[c].duration;
	if (f>c && f<n) {
		n=f;
		m=l;
	}
}

theTimeline.currentFrame = n;
theTimeline.currentLayer = m;
theTimeline.setSelectedFrames(n,n+1,true);
