﻿//
// Select Previous Keyframe on Any Layer.jsfl
// 
// This command will select the previous keyframe on any layer.
//
// By Todd Slaughter
// Copyright 2012, All rights reserved
//

// initialization ---------------------------------------------------------------------------------------------

// store the document object and the timeline
var theDocument = flash.getDocumentDOM();
var theTimeline = theDocument.getTimeline();

// main code --------------------------------------------------------------------------------------------------

var c = theTimeline.currentFrame-1;
var n = 0;
var f = 0;

// loop through the layers looking for the previous keyframe
for (var l=1; l<theTimeline.layerCount; l++) {
	if (c<=1) break;
	f = theTimeline.layers[l].frames[c].startFrame;
	if (f<c && f>n) {
		n=f;
		m=l;
	}
}

theTimeline.currentFrame = n;
theTimeline.currentLayer = m;
theTimeline.setSelectedFrames(n,n+1,true);
